<ion-header [translucent]="true">
  <ion-toolbar class="backazul">
    <ion-title class="ion-text-center">
      <h1 style="color:white;margin-top:0px;">TAREAS</h1>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-grid>
    <ion-row>
      <ion-col size="4">
        <ion-select okText="Aceptar" cancelText="Cancelar" [(ngModel)]="filtrofecha" #fechaselect (ngModelChange)="fechas($event)" placeholder="fecha">
          <ion-select-option value="todos">TODOS</ion-select-option>
          <ion-select-option value="hoy">HOY</ion-select-option>
          <ion-select-option value="semana">HACE UNA SEMANA</ion-select-option>
          <ion-select-option value="mes">HACE UN MES</ion-select-option>
          <ion-select-option value="meses">HACE 60 DIAS</ion-select-option>
        </ion-select>
      </ion-col>

      <ion-col size="4">
        <ion-select okText="Aceptar" cancelText="Cancelar" [(ngModel)]="filtroperson" #personselect (ngModelChange)="person($event)" placeholder="Asignada para">
          <ion-select-option value="todos">TODOS</ion-select-option>
          <ion-select-option value="mi">ASIGNADAS PARA MI</ion-select-option>
          <ion-select-option value="otro">ASIGNADAS POR MI</ion-select-option>
        </ion-select>
      </ion-col>

      <ion-col size="4">
        <ion-select okText="Aceptar" [(ngModel)]="pendiente" cancelText="Cancelar" #statuselect (ngModelChange)="status($event)" placeholder="Status">
          <ion-select-option value="todos">TODOS</ion-select-option>
          <ion-select-option value="pendiente" selected>PENDIENTE</ion-select-option>
          <ion-select-option value="finalizada">FINALIZADA</ion-select-option>
          <ion-select-option value="cancelada">CANCELADA</ion-select-option>
        </ion-select>
      </ion-col>
    </ion-row>
    <ion-row class="ion-margin-bottom">
      <ion-col size="4" class="ion-text-end"></ion-col>

      <ion-col size="4" class="ion-text-center">
        <ion-select okText="Aceptar" cancelText="Cancelar" [(ngModel)]="filtroemp" #empselect (ngModelChange)="empresas($event)" placeholder="Empresas">
          <ion-select-option style="font-size: x-small!important;" value="todos">TODOS</ion-select-option>

        <ng-container *ngFor="let emp of empresasid1">
          <ion-select-option style="font-size: x-small!important;"
            value="{{ emp.idEmpresas }}"
            >{{ emp.Nombre_Empresa }}</ion-select-option>
        </ng-container>
        </ion-select>
      </ion-col>

      <ion-col size="4" class="ion-text-end"></ion-col>
      <ion-col size="12" class="ion-text-end">
        <ion-button color="primary" style="font-weight:900;" routerLink="/tabs/tab2/nueva-tarea">
          +&nbsp;NUEVA TAREA
        </ion-button>
      </ion-col>
    </ion-row>

    <ion-card class="card" style="color: black!important;"  *ngFor="let tar of tarea">
      <ion-card-content style="padding-inline-start: 8px;
    padding-inline-end: 8px;padding-top: 8px;padding-bottom: 8px;">
        <ion-row>

      <ion-col size="4" class="ion-text-left" style="overflow:hidden;">
        <ion-label style="font-size: 15px;" color="primary">{{tar.Nombre.substring(0, 10)}}..</ion-label>
      </ion-col>

      <ion-col *ngIf="tar.Status==1" size="7" class="ion-text-left" style="white-space: nowrap;
  overflow: hidden;  text-overflow: ellipsis;">
        <span>Creada:</span>&nbsp;<span>{{tar.FechaSol | date:'dd'}}</span>&nbsp;<span>de</span>&nbsp;<span>{{tar.FechaSol | date:'MMMM'}}</span>&nbsp;<span>de</span>&nbsp;<span>{{tar.FechaSol | date:'y'}}</span>
      </ion-col>

      <ion-col *ngIf="tar.Status==2" size="7" class="ion-text-left" style="white-space: nowrap;
  overflow: hidden;  text-overflow: ellipsis;">
        <span>Finalizada:</span>&nbsp;<span>{{tar.FechaFin | date:'dd'}}</span>&nbsp;<span>de</span>&nbsp;<span>{{tar.FechaFin | date:'MMMM'}}</span>&nbsp;<span>de</span>&nbsp;<span>{{tar.FechaFin | date:'y'}}</span>
      </ion-col>

      <ion-col *ngIf="tar.Status==3" size="7" class="ion-text-left" style="white-space: nowrap;
  overflow: hidden;  text-overflow: ellipsis;">
        <span>Cancelada:</span>&nbsp;<span>{{tar.FechaFin | date:'dd'}}</span>&nbsp;<span>de</span>&nbsp;<span>{{tar.FechaFin | date:'MMMM'}}</span>&nbsp;<span>de</span>&nbsp;<span>{{tar.FechaFin | date:'y'}}</span>
      </ion-col>

      <ion-col size="1" class="ion-text-left">
       <div *ngIf="tar.idResponsable === idUsuario && tar.Status === '1'" class="contenedor">
          <a [routerLink]="['/tabs/tab2/detalle-tarea',tar.idTareas]">
            <label for="file-input" id="label"></label>
          </a>
        </div>
        <div *ngIf="tar.idResponsable !== idUsuario && tar.Status === '1'" class="contenedor">
          <a [routerLink]="['/tabs/tab2/detalle-tarea',tar.idTareas]">
            <label for="file-input" id="label1"></label>
          </a>
        </div>
        <div *ngIf="tar.Status !== '1'" class="contenedor">
          <a [routerLink]="['/tabs/tab2/detalle-tarea',tar.idTareas]">
            <label for="file-input" id="label1"></label>
          </a>
        </div>
      </ion-col>

      <ion-col size="12" class="ion-text-left pb-0">
        <span style="font-size:15px;font-weight:800;" color="primary">
          {{tar.Nombre_Empresa.substring(0, 27)}}
        </span>
      </ion-col>

      <ion-col size="12" class="ion-text-left pt-0">
        <h6 color="primary">&middot;{{tar.Tarea.substring(0, 46)}}</h6>
      </ion-col>

    </ion-row>

      </ion-card-content>
    </ion-card>

  </ion-grid>
</ion-content>
